# $Revision: 1.32 $, $Date: 2012/03/26 19:51:12 $
%define		_class		Tree
%define		_status		beta
%define		_pearname	%{_class}
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Generic tree management
Summary(pl.UTF-8):	%{_pearname} - Podstawowe zarządzanie drzewami
Name:		php-pear-%{_pearname}
Version:	0.3.7
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	bddfbe4ba03da2904ea8f20d4ab22b08
URL:		http://pear.php.net/package/Tree/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-DB >= 1.3
Requires:	php-pear-PEAR-core >= 1:1.5.4
Requires:	php-pear-XML_Parser >= 1.0
Suggests:	php-pear-DB
Suggests:	php-pear-XML_Parser
Obsoletes:	php-pear-Tree-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(DB.*)' 'pear(XML/Parser.*)'

%description
Provides methods to read and manipulate trees, which are stored in the
DB or an XML file. The trees can be stored in the DB either as nested
trees or as simple trees ('brain dead method'), which use
parentId-like structure. Currently XML data can only be read from a
file and accessed. The package offers a big number of methods to
access and manipulate trees. For example methods like: getRoot,
getChild[ren], getParent, getPath and many more. There are two ways of
retrieving the data from the place where they are stored, one is by
reading the entire tree into the memory - the Memory way. The other is
reading the tree nodes as needed (very useful in combination with huge
trees and the nested set model). The package is designed that way that
it is possible to convert/copy tree data from either structure to
another (from XML into DB).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet udostępnia metody do odczytu i obróbki drzew zapisanych w
bazach danych lub plikach XML. Drzewa mogą być zapisane w bazie jako
zagnieżdżone drzewa lub proste drzewa (metoda prymitywna), które
używają struktury w stylu parentId. Aktualnie dane XML mogą być tylko
czytane tylko z pliku i przeglądane. Pakiet oferuje dużą liczbę metod
do dostępu i obróbki drzew, na przykład getRoot, getChild[ren],
getParent, getPath i wiele innych. Są dwa sposoby na odczytywanie
danych z miejsca gdzie są zapisane - jeden przez wczytanie całego
drzewa do pamięci (metoda pamięciowa), drugi przez czytanie węzłów w
miarę potrzeby (bardzo przydatny w przypadku dużych drzew i modelu
zagnieżdżonego). Pakiet jest stworzony tak, by umożliwić konwersję i
kopiowanie danych z drzewa z jednej struktury do drugiej (z XML-a do
DB).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

# pear/tests/pearname/tests -> pear/tests/pearname
mv ./%{php_pear_dir}/tests/%{_pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{_pearname}/tests

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%dir %{php_pear_dir}/%{_class}
%dir %{php_pear_dir}/%{_class}/Dynamic
%dir %{php_pear_dir}/%{_class}/Memory
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/Dynamic/*.php
%{php_pear_dir}/%{_class}/Memory/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Tree.spec,v $
Revision 1.32  2012/03/26 19:51:12  glen
- updated to: 0.3.7

Revision 1.31  2011/03/01 06:28:55  glen
- release 3

Revision 1.30  2011/01/23 01:03:28  sparky
- dropped -tests subpackage

Revision 1.29  2010/08/21 19:08:34  glen
- updated deps with pearize.sh
- release 2

Revision 1.28  2009/05/03 09:15:18  adamg
- updated to 0.3.4

Revision 1.27  2008/05/03 09:08:07  adamg
- updated to 0.3.3

Revision 1.26  2008-01-31 12:16:11  glen
- rel 2

Revision 1.25  2007-07-16 17:19:59  glen
- update to 0.3.1

Revision 1.24  2007/03/13 09:51:25  sparky
- place # SourceN-md5: just after SourceN:

Revision 1.23  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.21  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.20  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2005/10/05 20:59:32  glen
- rel 3

Revision 1.17  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.16  2005/09/30 18:58:18  glen
- new pear packaging

Revision 1.15  2004/12/04 14:25:21  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.14  2004/05/30 13:13:53  adamg
- fixed english information about status of the package

Revision 1.13  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.12  2003/10/07 20:56:16  adamg
- do not use macros in URL

Revision 1.11  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.10  2003/05/28 10:50:32  adamg
- massive manual attack: pear packages update

Revision 1.9  2003/05/28 08:58:49  adamg
- massive attack: added source0-md5

Revision 1.8  2003/05/25 06:25:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/01 17:49:49  blues
- 0.2.2 - beta bugfix release - STBR to Ra updates

Revision 1.6  2002/11/08 14:29:59  blues
- 0.2.1 - warning: API change - getChildrens[Ids] became getAllChildren[Ids]
  STBR

Revision 1.5  2002/10/14 23:52:11  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.4  2002/09/30 15:58:00  blues
- 0.1.2 - STBR

Revision 1.3  2002/08/27 15:18:06  blues
- 0.1.1 - parentness fixed - STBR

Revision 1.2  2002/08/14 09:58:21  qboosh
- pl description, release 2

Revision 1.1  2002/08/13 19:54:49  blues
- initial release - Tree class; STBR
